Subject: Re: Run Linux Kernel 2.6.26 with u-boot 1.1.2 - problem

From: Marco Stornelli <[email-masked]>
Date: Tue, 05 Aug 2008 15:22:20 +0200

Zhivko Yordanov ha scritto:
> Hi all,
> 
> I have a PowerPC embedded board with CPU 7448 and Chipset Marvell 64560.
> Till now, on board runs U-boot 1.1.2 and Linux kernel 2.6.12, with patches 
> from Marvell.
> 
> I ported the Marvell patch to Linux 2.6.26, but I can't start it. Now I'm 
> searching for the problem. Is this possible with old u-boot (1.1.2) to start 
> new versions of Linux kernel, or I need to port u-boot too?
> 
> Best regards,
> Zhivko Yordanov
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 

Have you wrote the dts file? I suggest you to change Uboot, 1.1.2 is 
pretty old and if I remember correctly it doesn't support the dts, so 
you should build a cuImage with the dts embedded in the kernel.

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838